> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/scopes.md).

# Scopes

## Find scopes

> Returns all scopes.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ScopePagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/ScopeImpl"}}}},"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/scopes":{"get":{"tags":["Scopes"],"summary":"Find scopes","description":"Returns all scopes.","operationId":"getAllScopes","responses":{"200":{"description":"The found scopes","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopePagedResponse"}}}}}}}}}
```

## Add scope

> Adds a new scope.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AddScopeRequest":{"required":["name"],"type":"object","properties":{"id":{"type":"string","description":"The ID of the new scope. Should be unique within all scopes.<br/>It should have a format of universally unique identifier (UUID) and should not start with<br/><code>00000000-0000-0000-</code> which is a reserved prefix.","format":"uuid"},"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The public id that will be assigned to the new Scope. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". If no public id is provided, a valid public id will be generated."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The name of the new scope"},"description":{"maxLength":255,"minLength":0,"type":"string","description":"The description of the new scope"},"domainIds":{"type":"array","description":"The list of IDs for domains assigned to the new scope","items":{"type":"string","description":"The list of IDs for domains assigned to the new scope","format":"uuid"}},"communityIds":{"type":"array","description":"The list of IDs for communities assigned to the new scope","items":{"type":"string","description":"The list of IDs for communities assigned to the new scope","format":"uuid"}}}},"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/scopes":{"post":{"tags":["Scopes"],"summary":"Add scope","description":"Adds a new scope.","operationId":"addScope","requestBody":{"description":"the properties of the scope to be added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddScopeRequest"}}}},"responses":{"201":{"description":"Scope successfully added.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopeImpl"}}}},"400":{"description":"A scope with the given ID already exists"}}}}}}
```

## Get scope

> Returns scope identified by given id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/scopes/{scopeId}":{"get":{"tags":["Scopes"],"summary":"Get scope","description":"Returns scope identified by given id.","operationId":"getScope","parameters":[{"name":"scopeId","in":"path","description":"The unique identifier of the scope.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"The found scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopeImpl"}}}}}}}}}
```

## Remove scope

> Removes scope identified by given id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/scopes/{scopeId}":{"delete":{"tags":["Scopes"],"summary":"Remove scope","description":"Removes scope identified by given id.","operationId":"removeScope","parameters":[{"name":"scopeId","in":"path","description":"the id of the scope","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"The scope has been successfully removed."},"409":{"description":"Scope still in use of assignments."}}}}}}
```

## Change scope

> Changes the scope with the information that is present in the request. Only properties that are specified in this request and have not \<code>null\</code> values are updated. All other properties are ignored.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ChangeScopeRequest":{"type":"object","properties":{"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The new public id for the Scope. It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The new name for the scope"},"description":{"maxLength":255,"minLength":0,"type":"string","description":"The new description for the scope"},"domainIds":{"type":"array","description":"The new list of IDs of domains that should included in the scope","items":{"type":"string","description":"The new list of IDs of domains that should included in the scope","format":"uuid"}},"communityIds":{"type":"array","description":"The new list of IDs of communities that should included in the scope","items":{"type":"string","description":"The new list of IDs of communities that should included in the scope","format":"uuid"}}}},"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/scopes/{scopeId}":{"patch":{"tags":["Scopes"],"summary":"Change scope","description":"Changes the scope with the information that is present in the request. Only properties that are specified in this request and have not <code>null</code> values are updated. All other properties are ignored.","operationId":"changeScope","parameters":[{"name":"scopeId","in":"path","description":"the id of the scope to be changed","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"the properties of the scope to be changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeScopeRequest"}}}},"responses":{"200":{"description":"The changed scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopeImpl"}}}}}}}}}
```

## Get the scope by public id

> Returns the scope identified by the given public id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ScopeImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"description":{"type":"string","description":"The description of the resource."},"publicId":{"type":"string","description":"The public id of the scope."},"domains":{"type":"array","description":"The list of domains that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"communities":{"type":"array","description":"The list of communities that are included in this scope.","items":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}}}},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/scopes/publicId/{publicId}":{"get":{"tags":["Scopes"],"summary":"Get the scope by public id","description":"Returns the scope identified by the given public id.","operationId":"getScopeByPublicId","parameters":[{"name":"publicId","in":"path","description":"The public identifier of the scope.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The found scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopeImpl"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/data-governance/scopes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
